<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html>
<head>
    <meta charset="utf-8">
    <!--
    Customize this policy to fit your own app's needs. For more guidance, see:
        https://github.com/apache/cordova-plugin-whitelist/blob/master/README.md#content-security-policy
    Some notes:
        * gap: is required only on iOS (when using UIWebView) and is needed for JS->native communication
        * https://ssl.gstatic.com is required only on Android and is needed for TalkBack to function properly
        * Disables use of inline scripts in order to mitigate risk of XSS vulnerabilities. To change this:
            * Enable inline JS: add 'unsafe-inline' to default-src
    -->
    <meta http-equiv="Content-Security-Policy" content="default-src api.openweathermap.org 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;">
    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">
    <meta name="color-scheme" content="light dark">
    <link rel="stylesheet" href="css/index.css">
    <title>Hello World</title>
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col">
            <div id="wetterbox "class="box" >
                <h1>Das Wetter jetzt</h1>
                <div class="icon box">
                    <img id="wetternow" src="./img/sonne.PNG" alt="Weather icon" class="center-block wetterbox">
                    <!--<img src="./img/sonne.PNG" class="center-block wetterbox">-->
                </div>
                <div class="box">

                    <h1  id="wetterbeschreibung-now">   </h1>
                </div>
                <h1 class="box">Das Wetter in einer Stunde</h1>
                <div class="icon box">
                    <img id="wetterhour" src="./img/sonne.PNG" alt="Weather icon" class="center-block wetterbox">
                    <!--<img src="./img/sonne.PNG" class="center-block wetterbox">-->
                </div>
                <div class="box">
                    <h1 class="box" id="wetterbeschreibung-hour">   </h1>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">

            </div>
        </div>

    </div>
    <div class="row street border">
        <h1>An Position</h1>
        <div class="col box">
            <h1 id="street">  Street</h1>
            <h1 id="number">  Number</h1>
            <h1 id="city">  Stadt</h1>
        </div>
    </div>
    <div class="row ">
    <div class="col map">
        <div style="width:100%;height:200px" id="map_canvas"></div>
    </div>
</div>
</div>
<script src="cordova.js"></script>
<script src="js/index.js"></script>
</body>
</html>
